> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all cases

> List all cases for an entity from previously checked activities.



## OpenAPI

````yaml /specs/KYT-V2-Transaction-Monitoring.json get /entity/{entityId}/cases
openapi: 3.0.3
info:
  version: 2.0.0
  title: KYT V2 Transaction Monitoring
  description: >
    The Fraud and Transaction Monitoring API is designed to accept the full
    details of a transaction, process it, and provide recommendations. 


    The API can analyse the details by comparing them against past history and
    other data, and run all of these through a set of sophisticated rules.
    Afterwards, you can get a recommendation as to whether a transaction should
    be allowed to proceed, proceed with a warning, be held for investigation, or
    be rejected, outright.


    The service is designed to respond in realtime to support modern,
    high-speed, high-volume financial transaction services.


    **We also hold open the option of accepting existing message formats and we
    will transform those in real time, mapping the details to our own internal
    structure for a consistent experience and results.**


    Please speak with your FrankieOne account manager should you wish us to
    assist with this.


    Access to the API and keys available on request.


    ## Glossary


    **Check** - A transaction assessment that execute against the API, this
    represents an event that has happened and wants to verified for risk.


    **Result** - A categorized risk factor returned for a transaction check,
    these are returned from the configured upstream vendors and represent the
    different factors of the transaction's risk profile.


    **Transaction** - An activity that an end user has performed, the type of
    the activity is based on the activityType property.


    **Alert** - A result that has come from a transaction check that meets the
    criteria defined for your configuration. This represents a result that was
    returned that requires the attention of someone in your organization.


    **Entity** - A FrankieOne entity, this can be representative of a business,
    person or construct that exists within the FrankieOne Platform.
  contact:
    email: help@frankieone.com
servers:
  - url: https://api.kycaml.frankiefinancial.io/transaction/v2
    description: Production API Base URL
  - url: https://api.kycaml.uat.frankiefinancial.io/transaction/v2
    description: UAT Environment API Base URL
security:
  - apiKey: []
tags:
  - name: Status
    description: >-
      Service status operations you can use to make sure things are up and
      running.
  - name: Transactions
    description: >-
      Operations that are associated with the execution of a transaction risk
      assessment
  - name: Alerts
    description: Operations that are associated with alerts
  - name: Risk
    description: Operations associated with risk assessment for an entity
paths:
  /entity/{entityId}/cases:
    get:
      tags:
        - Cases
      summary: List all cases
      description: List all cases for an entity from previously checked activities.
      operationId: ListEntityCases
      parameters:
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
        - $ref: '#/components/parameters/EntityIdParam'
        - $ref: '#/components/parameters/ResultTypeParams'
        - required: false
          in: query
          name: needsAttention
          description: >-
            A flag to fetch only the cases that require attention from users.
            These are cases that have met a MEDIUM risk level and have a PENDING
            status.
          schema:
            type: boolean
            default: false
        - required: false
          in: query
          name: limit
          description: Number of results to be presented in the case results
          schema:
            default: 20
            type: number
        - required: false
          in: query
          name: nextPageToken
          description: Identifier Index for the next page of results
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/respOk200CompletedGetCases'
        '404':
          $ref: '#/components/responses/404NotFound'
        '500':
          $ref: '#/components/responses/500InternalServerError'
      deprecated: true
      security:
        - apiKey: []
components:
  parameters:
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    EntityIdParam:
      required: true
      description: Unique identifier of a FrankieOne entity
      in: path
      name: entityId
      schema:
        $ref: '#/components/schemas/EntityId'
    ResultTypeParams:
      in: query
      name: type
      description: comma delimited list of EnumRiskResultType
      example: AML,FRAUD
      schema:
        type: string
  responses:
    respOk200CompletedGetCases:
      description: Response from the GET /entity/{entityId}/cases endpoint
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TransactionCaseResults'
    404NotFound:
      description: >
        Cannot return response. In the case of a query, or reference to a
        specific entity/check/others, it means that the requested item was not
        found, or you don't have access to it. Please check your query before
        trying again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ServiceError'
    500InternalServerError:
      description: >
        The system is presently unavailable, running in a severely degraded
        state or an unexpected error occurred. 

        Check the error message for details
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ServiceError'
  schemas:
    EntityId:
      type: string
      description: The unique identifier for a FrankieOne entity construct
      example: 98ded7ac-2457-4bde-b27c-fcee05301262
    TransactionCaseResults:
      type: object
      properties:
        data:
          description: List of transaction check results found from the query
          type: array
          items:
            $ref: '#/components/schemas/RiskCheckResult'
        nextPageToken:
          type: string
          description: >-
            Identifier for the next page of results, if not populated there is
            no more results to paginate for
    ServiceError:
      type: object
      properties:
        commit:
          type: string
          description: Unique identifier of the Service version being used
        requestId:
          $ref: '#/components/schemas/RequestId'
        errorCode:
          type: string
          description: FrankieOne error code
          example: CORE-5990
        errorMsg:
          type: string
          description: Will describe the error
          example: Everything went kaflooey. Stay clam.
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorIssue'
    RiskCheckResult:
      type: object
      properties:
        checkId:
          type: string
          description: Unique identifier for the originating transaction check
        resultId:
          type: string
          description: Unique identifier for this result.
        riskToken:
          $ref: '#/components/schemas/RiskToken'
        paymentId:
          description: >-
            Identifier for the Customer Transaction, only populated for
            financial transaction checks
          type: string
        transactionTimestamp:
          description: ISO-8601 format date-time that the transaction occurred
          type: string
          format: datetime
        timestamp:
          description: >-
            ISO-8601 format date-time that the transaction check result was
            created
          type: string
          format: datetime
        lastUpdated:
          description: ISO-8601 format date-time of the time that result was last updated
          type: string
          format: datetime
        status:
          $ref: '#/components/schemas/EnumAlertStatus'
        riskLevel:
          $ref: '#/components/schemas/EnumRiskLevel'
        activityType:
          $ref: '#/components/schemas/EnumActivityType'
        paymentType:
          $ref: '#/components/schemas/EnumPaymentType'
        source:
          type: string
          description: Name of the upstream vendor of where the result came from
        sourceLink:
          type: string
          description: >-
            URL links to the upstream vendor to provide more information about
            the result
        deviceId:
          description: >-
            Identifier of the device that was used for this check, this would be
            provided from the initial request data
          type: string
        assignedTo:
          description: Current FrankieOne Portal user that is assigned to this user
          type: string
        amount:
          description: The amount described in the transaction risk check
          type: object
          properties:
            value:
              type: string
            currCode:
              type: string
        issueType:
          $ref: '#/components/schemas/EnumRiskResultType'
        subtype:
          description: The subtype of the risk check
          type: string
    RequestId:
      type: string
      format: ulid
      minLength: 26
      maxLength: 26
      description: >-
        Unique identifier assigned by FrankieOne for every request. Can be used
        for tracking down answers with technical support. Uses the ULID format
        (a time-based, sortable UUID) example: 01BFJA617JMJXEW6G7TDDXNSHX
    ErrorIssue:
      type: object
      required:
        - issueLocation
        - issue
      properties:
        issueLocation:
          type: string
          description: Will describe the field or data location of the issue
          example: date_of_birth
        issue:
          type: string
          description: Description of the problem
          example: Invalid format. Must be YYYY-MM-DD
    RiskToken:
      type: object
      required:
        - sessionKey
        - userId
      description: >-
        Includes any data required for authorizations by upstream services. To
        confirm if this is required, please reach out to the FrankieOne Support
        team.
      properties:
        sessionKey:
          type: string
        userId:
          type: string
    EnumAlertStatus:
      description: Current status of an alert
      type: string
      enum:
        - PENDING
        - APPROVED
        - MANUALLY_APPROVED
        - MANUALLY_DECLINED
    EnumRiskLevel:
      type: string
      description: Level of risk as determined by the service.
      example: MEDIUM
      enum:
        - NONE
        - LOW
        - MEDIUM
        - HIGH
        - VERY_HIGH
    EnumActivityType:
      type: string
      description: Type of the activity that was used for the check
      enum:
        - REGISTRATION
        - LOGIN
        - FIAT_WITHDRAWAL
        - FIAT_DEPOSIT
        - CRYPTO_WITHDRAWAL
        - CRYPTO_DEPOSIT
    EnumPaymentType:
      type: string
      description: The type of payment that the transaction used.
      enum:
        - CARD
        - BANK
        - WIRE
        - CRYPTO
        - OTHER
    EnumRiskResultType:
      type: string
      description: >-
        Enum of risk assessment groupings, such as customer, device,
        transaction, AML, PEP as determined by the risk checking service
      enum:
        - DEVICE
        - TRANSACTION
        - AML
        - FRAUD
  securitySchemes:
    apiKey:
      type: apiKey
      name: apiKey
      description: API key issued by FrankieOne. This will rotate regularly.
      in: header

````